var xmlHttp; 
function DivDisplay(id,rid)
{
	if (GetId(id).style.display=='')
	{
		GetId(id).style.display='none';
	}
	else
	{ 
		GetId(id).style.display='';
		if (GetId(id).innerHTML=='')
		{
			ShowChild(id,rid);
		}
	}
}

function CreateXMLHttpRequest()
{
	if (window.ActiveXObject)
	{
		xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	else
	{
		xmlHttp = new XMLHttpRequest();
	}
}

function ShowChild(id,rid)
{
	CreateXMLHttpRequest();
	if(xmlHttp)
	{
		xmlHttp.open('POST','../public/showChild.asp',true);
		xmlHttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
		var SendData = 'id='+rid;
		xmlHttp.send(SendData);
		xmlHttp.onreadystatechange=function()
		{
		   if(xmlHttp.readyState==4)
		   {
			 if(xmlHttp.status==200)
			 {
				GetId(id).innerHTML = xmlHttp.responseText;
			 }
			 else
			 {
				GetId(id).innerHTML='出错：'+xmlHttp.statusText;
			 }
		   }
		   else
		   {
				GetId(id).innerHTML="正在提交数据...";
			}
	  	}
		
	 }
	 else
	 {
	 	GetId(id).innerHTML='抱歉，您的浏览器不支持XMLHttpRequest，请使用IE6以上版本！';
	 }
}

//取得页面对象
//id,层id
function GetId(id)
{
	return document.getElementById(id);
} 